/*
****************************************************************************
****************************************************************************
**                                                                        **
**                XXXX     X    X         X XXXXXX X                      **
**               X    X   X X   X    X    X X      X   X                  **
**               X       X   X  X   X X   X X      X  X                   **
**               X   XX XXXXXXX X  X   X  X XXXX   X X                    **
**               X    X X     X X X     X X X      XX                     **
**               X    X X     X XX       XX X      X                      **
**                XXXX  X     X X         X XXXXXX XXXXXX                 **
**                                                                        **
**                                                                        **
**                           BIALYSTOK 2019                               **
**                                                                        **
**                             MODULE trace                               **
**                                                                        **
**                     Mikrokontroler ARM: LPC2378                        **
**                                                                        **
**                     Wersja z dnia : 2019.01.19                         **
**                     Napisal : Andrzej Pawluczuk                        **
**                                                                        **
****************************************************************************
****************************************************************************
*/

#ifndef _trace_
#define _trace_

#include "types.h"
#include "emacdriver.h"
#include "ipservice.h"

extern void traceDHCP ( UCHAR * UDPDataBuffer , USHORT UDPDataSize ) ;


extern void TraceUDPHeader ( PtrOSFrameRecT /* Frame */ ) ;

extern void TraceFrame ( PtrOSFrameRecT /* Frame */ ) ;

extern void TraceIPHeader ( IPHeaderRecT * /* IPHeader */ ) ;

extern void TraceETHHeader ( EtherPackedHeaderRecT * /* EtherPackedHeader */ ) ;

extern void TraceMAC ( UCHAR * /* MACAddr */ ) ;

extern void TraceIP ( ULONG /* IPAddress */ ) ;

extern void TraceUCHAR ( UCHAR /* Data */ ) ;

extern void TraceUSHORT ( USHORT /* Data */ ) ;

extern void TraceUSHORTdec ( USHORT /* Data */ ) ;

extern void TraceULONG ( ULONG /* Data */ ) ;

extern void traceBlock( UCHAR * /* Data */ , USHORT /* Length */ ) ;

#endif
